weka.classifiers.functions.explicitboundaries.models

## Class LogisticBoundary

- java.lang.Object
- - weka.classifiers.AbstractClassifier
  - - weka.classifiers.functions.Logistic
    - - weka.classifiers.functions.explicitboundaries.models.LogisticBoundary

- All Implemented Interfaces:
    Serializable, Cloneable, weka.classifiers.Classifier, ClassifierWithBoundaries, weka.core.Aggregateable<weka.classifiers.functions.Logistic>, weka.core.BatchPredictor, weka.core.CapabilitiesHandler, weka.core.CapabilitiesIgnorer, weka.core.CommandlineRunnable, weka.core.OptionHandler, weka.core.pmml.PMMLProducer, weka.core.RevisionHandler, weka.core.TechnicalInformationHandler, weka.core.WeightedInstancesHandler

      public class LogisticBoundary
      extends weka.classifiers.functions.Logistic
      implements ClassifierWithBoundaries

  Since:
    1.3.0
  Version:
    2.1.0
  Author:
    pawel trajdos
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class weka.classifiers.AbstractClassifier

      `BATCH_SIZE_DEFAULT, NUM_DECIMAL_PLACES_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogisticBoundary()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildClassifier(weka.core.Instances data)`
    `DecisionBoundary` | `getBoundary()` Returns decision boundaries of the classifier
    `weka.core.Capabilities` | `getCapabilities()`
    `static void` | `main(String[] args)`
    `void` | `setDebug(boolean debug)`

    - ### Methods inherited from class weka.classifiers.functions.Logistic

      `aggregate, coefficients, debugTipText, distributionForInstance, finalizeAggregation, getDebug, getMaxIts, getOptions, getRevision, getRidge, getTechnicalInformation, getUseConjugateGradientDescent, globalInfo, listOptions, maxItsTipText, ridgeTipText, setMaxIts, setOptions, setRidge, setUseConjugateGradientDescent, toPMML, toString, useConjugateGradientDescentTipText`

    - ### Methods inherited from class weka.classifiers.AbstractClassifier

      `batchSizeTipText, classifyInstance, distributionsForInstances, doNotCheckCapabilitiesTipText, forName, getBatchSize, getDoNotCheckCapabilities, getNumDecimalPlaces, implementsMoreEfficientBatchPrediction, makeCopies, makeCopy, numDecimalPlacesTipText, postExecution, preExecution, run, runClassifier, setBatchSize, setDoNotCheckCapabilities, setNumDecimalPlaces`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface weka.classifiers.Classifier

      `classifyInstance, distributionForInstance`

- - ### Constructor Detail

    - #### LogisticBoundary

          public LogisticBoundary()

  - ### Method Detail

    - #### buildClassifier

          public void buildClassifier(weka.core.Instances data)
                               throws Exception

      Specified by:
        `buildClassifier` in interface `weka.classifiers.Classifier`
      Overrides:
        `buildClassifier` in class `weka.classifiers.functions.Logistic`
      Throws:
        `Exception`

    - #### getBoundary

          public DecisionBoundary getBoundary()
                                       throws Exception

      Description copied from interface: `ClassifierWithBoundaries`
      Returns decision boundaries of the classifier
      Specified by:
        `getBoundary` in interface `ClassifierWithBoundaries`
      Returns:
        Decision boundaries
      Throws:
        `Exception`

    - #### getCapabilities

          public weka.core.Capabilities getCapabilities()

      Specified by:
        `getCapabilities` in interface `weka.classifiers.Classifier`
      Specified by:
        `getCapabilities` in interface `weka.core.CapabilitiesHandler`
      Overrides:
        `getCapabilities` in class `weka.classifiers.functions.Logistic`

    - #### setDebug

          public void setDebug(boolean debug)

      Overrides:
        `setDebug` in class `weka.classifiers.functions.Logistic`

    - #### main

          public static void main(String[] args)

Copyright © 2019. All Rights Reserved.